//@author: Martin Zrcek
//@help: renders a series of inputs, but only adds to one picture.
//@tags:
//@credits:

// --------------------------------------------------------------------------------------------------
// PARAMETERS:
// --------------------------------------------------------------------------------------------------
bool ukladat = true;
float stayPercentil = 0.5;
int backbufferWidth = 400;
int backbufferHeight = 300;
texture Tex <string uiname="Texture";>;
sampler Samp = sampler_state    //sampler for doing the texture-lookup
{
    Texture   = (Tex);          //apply a texture to the sampler
    MipFilter = LINEAR;         //sampler states
    MinFilter = LINEAR;
    MagFilter = LINEAR;
};
texture Tex2 <string uiname="StoredTexture";>;
sampler StoredSamp = sampler_state    //sampler for doing the texture-lookup
{
    Texture   = (Tex2);          //apply a texture to the sampler
    MipFilter = none;         //sampler states
    MinFilter = none;
    MagFilter = none;
};
struct vs2ps
{
    float4 Pos  : POSITION;
    float2 TexCd : TEXCOORD0;
};

// --------------------------------------------------------------------------------------------------
// VERTEXSHADERS
// --------------------------------------------------------------------------------------------------
vs2ps VS(
    float4 PosO  : POSITION,
    float4 TexCd : TEXCOORD0)
{
    vs2ps Out;
    Out.Pos = float4(PosO.x*2.0-(1.0/backbufferWidth), PosO.y*2.0+(1.0/backbufferHeight), 0.0, 1.0);
	//PosO.xy*=2.0;
    //Out.Pos = PosO;
    Out.TexCd = TexCd;
    return Out;
}
// --------------------------------------------------------------------------------------------------
// PIXELSHADERS:
// --------------------------------------------------------------------------------------------------
float4 PS(vs2ps In): COLOR
{
    float4 col1 = tex2D(Samp, In.TexCd);
    float4 col2 = tex2D(StoredSamp, In.TexCd);
	float4 col;
	if (ukladat)
		col = col1+stayPercentil*col2;
	else col = col2;
    return col;
}
// --------------------------------------------------------------------------------------------------
// TECHNIQUES:
// --------------------------------------------------------------------------------------------------
technique TSimpleShader
{
    pass P0
    {
        VertexShader = compile vs_3_0 VS();
        PixelShader  = compile ps_3_0 PS();
    }
}
